Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api
Class MuleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AnnotationException, BusinessException, ConfigurationException, ConnectorException, CryptoFailureException, DefaultMuleException, EncryptionStrategyNotFoundException, EndpointException, EntryPointNotFoundException, FatalException, FlowConstructInvalidException, FunctionalTestException, HandlerException, LifecycleException, LoanBrokerException, ManagementException, MessageTypeNotSupportedException, MessagingException, MuleContextException, NoSatisfiableMethodsException, NotificationException, ObjectStoreException, ReceiveException, RegistrationException, RemoteDispatcherException, ResolverException, ResourceManagerException, SecurityProviderNotFoundException, ServiceException, SessionException, TooManySatisfiableMethodsException, TransactionException, UnknownAuthenticationTypeException

    public abstract class MuleException

extends Exception

`MuleException` is the base exception type for the Mule server any other exceptions thrown by Mule code will be based on this exception,

See Also:
  Serialized Form

Constructor Summary
`protected` | `MuleException()`
`` | `MuleException(Message message)`
`` | `MuleException(Message message, Throwable cause)`
`` | `MuleException(Throwable cause)`

Method Summary
`void` | `addInfo(String name, Object info)`
`protected void` | `appendMessage(String s)`
`boolean` | `equals(Object o)`
`String` | `getDetailedMessage()`
`int` | `getExceptionCode()`
`Message` | `getI18nMessage()`
`Map` | `getInfo()`
`String` | `getMessage()`
`int` | `getMessageCode()`
`String` | `getSummaryMessage()`
`String` | `getVerboseMessage()`
`int` | `hashCode()`
`protected void` | `initialise()`
`protected void` | `prependMessage(String s)`
`protected void` | `setExceptionCode(int code)`
`protected void` | `setMessage(Message message)`
`protected void` | `setMessage(String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MuleException

    public MuleException(Message message)

Parameters:
  `message` - the exception message

### MuleException

    public MuleException(Message message,
                         Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### MuleException

    public MuleException(Throwable cause)

### MuleException

    protected MuleException()

Method Detail

### setMessage

    protected void setMessage(Message message)

### setMessage

    protected void setMessage(String message)

### getExceptionCode

    public int getExceptionCode()

### getI18nMessage

    public Message getI18nMessage()

### getMessageCode

    public int getMessageCode()

### addInfo

    public void addInfo(String name,
                        Object info)

### appendMessage

    protected void appendMessage(String s)

### prependMessage

    protected void prependMessage(String s)

### setExceptionCode

    protected void setExceptionCode(int code)

### getMessage

    public final String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### initialise

    protected void initialise()

### getDetailedMessage

    public String getDetailedMessage()

### getVerboseMessage

    public String getVerboseMessage()

### getSummaryMessage

    public String getSummaryMessage()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getInfo

    public Map getInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.